Update domain settings
Updates email settings for a specific domain including BCC emails, open tracking, and click tracking
curl --request POST \
--url https://api.jetemail.com/outbound/domains/{uuid}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bccEmails": [
"admin@example.com",
"backup@example.com"
],
"openTracking": true,
"clickTracking": false,
"tracking_domain": "links.example.com"
}
'import requests
url = "https://api.jetemail.com/outbound/domains/{uuid}/settings"
payload = {
"bccEmails": ["admin@example.com", "backup@example.com"],
"openTracking": True,
"clickTracking": False,
"tracking_domain": "links.example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bccEmails: ['admin@example.com', 'backup@example.com'],
openTracking: true,
clickTracking: false,
tracking_domain: 'links.example.com'
})
};
fetch('https://api.jetemail.com/outbound/domains/{uuid}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Domain settings updated successfully",
"bccEmails": [
{
"email": "admin@example.com",
"status": 1
},
{
"email": "new@example.com",
"status": 0
}
]
}{
"success": false,
"error": "Invalid UUID format"
}{
"success": false,
"error": "User information not found"
}{
"success": false,
"error": "Domain not found or access denied"
}{
"success": false,
"error": "Too many verification attempts for email@example.com. Please try again later."
}{
"success": false,
"error": "Failed to update domain settings"
}Authorizations
API key for account management endpoints. Use your api_ prefixed token.
Path Parameters
UUID of the domain to update settings for
^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$"b814c25d-b18c-4044-ae31-49e22ce908b5"
Body
Array of BCC email addresses (maximum 5). New emails will require verification.
5["admin@example.com", "backup@example.com"]
Enable or disable open tracking for emails sent from this domain
true
Enable or disable click tracking for emails sent from this domain
false
Fully qualified hostname to CNAME to link-{logLocation}.jete.ml for click/open tracking. Pass null or an empty string to clear.
"links.example.com"
Response
Domain settings updated successfully
true
"Domain settings updated successfully"
Updated BCC emails with verification status (only present when bccEmails were updated)
Show child attributes
Show child attributes
[
{ "email": "admin@example.com", "status": 1 },
{ "email": "new@example.com", "status": 0 }
]
